#!/bin/sh

[ -n PLUGIN_USERNAME ] && PLUGIN_USERNAME="${SENDXMPP_USERNAME}"
[ -n PLUGIN_PASSWORD ] && PLUGIN_PASSWORD="${SENDXMPP_PASSWORD}"

: ${PLUGIN_USERNAME?"missing username"}
: ${PLUGIN_JSERVER?"missing jserver"}
: ${PLUGIN_PASSWORD?"missing password"}
: ${PLUGIN_RECIPIENT?"missing recipient"}

env | grep DRONE

MSG="drone ist da"

CMD="sendxmpp \
  -u ${PLUGIN_USERNAME} \
	-j ${PLUGIN_JSERVER} \
	-p ${PLUGIN_PASSWORD} \
	--tls \
	--verbose \
	--no-tls-verify
	${PLUGIN_RECIPIENT}"

echo $MSG | $CMD
